this.name			= "upsSpilledBarrel";
this.author			= "eric Walch";
this.copyright		= "Share alike";
this.comment		= "Script for the ups-spilled-container. Used by the Boa mission and the spillage mission."
this.version		= "1.1";


this.shipWasScooped = function (scooper)
{
	 ++worldScripts["ups_container"].ups_total_container_count;
	 --worldScripts["ups_container"].ups_container_remaining;
	 if (scooper.isPlayer)
	 {
		++worldScripts["ups_container"].ups_container_count;
		worldScripts["ups_container"].ups_container_award += 500;
	 }
	 else
	 {
		player.consoleMessage("ups-container nr " + worldScripts["ups_container"].ups_total_container_count + " scooped by "+scooper.displayName);
	 }
     
	 if (worldScripts["ups_container"].ups_container === "SPILLAGE3") 
     {
        if (worldScripts["ups_container"].ups_container_remaining > 0) 
        {
            mission.setInstructionsKey(expandMissionText("ups_container_scattered_small1", 
                {ups_container_remaining: worldScripts["ups_container"].ups_container_remaining}), "ups_container");
        }
        else 
        {
            mission.setInstructionsKey("ups_container_scattered_small3", "ups_container");
            player.consoleMessage(expandDescription("Last ups-container scooped, return to base."));
        }
     }
	 // do something with NPC once possible
}

this.shipDied = function()
{
	 ++worldScripts["ups_container"].ups_total_container_count;
	 --worldScripts["ups_container"].ups_container_remaining;
	 player.consoleMessage("ups-container nr " + worldScripts["ups_container"].ups_total_container_count + " is destroyed");
	 if (worldScripts["ups_container"].ups_container === "SPILLAGE3") mission.setInstructionsKey("ups_container_scattered_small1", "ups_container");
}