this.name      = "upsTrader"; 
this.author    = "eric walch, spara"; 
this.copyright = "2008 eric walch. 2014 spara"; 
this.description = "Code for a generic ups-trader"; 
this.version   = "1.9";

this.shipSpawned = function ()
{
    this.cargo = Math.round(this.ship.cargoSpaceCapacity / 10);
	//name escorts with randomshipnames, if present -spara-
	if (worldScripts.randomshipnames && this.ship.escorts) {
		for (var i = 0; i < this.ship.escorts.length; i++) {
			var shipName = worldScripts.randomshipnames.$randomHunterName(ship);
			this.ship.escorts[i].displayName = this.ship.escorts[i].displayName + ": " + shipName;
		}
	}
	//order escorts with escort formations, if present -spara-
	if (worldScripts["Escort Formations Randomiser"])
		worldScripts["Escort Formations Randomiser"].$setupDefensiveEscorts(this.ship);
    delete this.shipSpawned;
}

this.shipDied = function () 
{ 
    var genericCargo = Math.ceil(this.cargo * 0.66);
    this.ship.spawn("cargopod", genericCargo);
    this.ship.spawn("ups-cargopod", this.cargo - genericCargo);
} 

this.shipBeingAttacked = function ()
{ 
    if(Math.random() < 0.05 && this.cargo > 0)
    {
        this.ship.ejectItem("cargopod");
        this.cargo--;
    }
} 

this.checkStation = function () 
{ 
   var stations = system.shipsWithRole("station", this.ship, 50000);
   if(stations.length > 0 && stations[0] !== this.lastStation) 
   {
		this.lastStation = stations[0];
		if (Math.random() < 0.5 && stations[0] != system.mainStation && stations[0].hasNPCTraffic) 
		{
			this.ship.target = stations[0];
			this.ship.reactToAIMessage("UPS_STATION_FOUND");
		} 
    }
}
